package cn.newfeifan.mall.module.distri.controller.admin.shopsettlement.excelvo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 订单结算信息表，记录店铺的结算信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ShopSettlementExcelRespVO {

    @Schema(description = "结算id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15576")
    @ExcelProperty("序号")
    private Long id;

    @Schema(description = "店铺名称")
    @ExcelProperty("店铺名称")
    private String shopName;

    @Schema(description = "销售额（积分 + 支付金额）", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("销售额")
    private Double platformCollectionAmount;

    @Schema(description = "抵扣积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("抵扣积分")
    private Double shopAmount;

    @Schema(description = "抵扣消费分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("抵扣消费分")
    private Double shopConsumptionPoints;

    @Schema(description = "共计成本价格(高精度 + 成本)")
    @ExcelProperty("应结（成本）")
    private Double shopTotalHighAmount;

    @Schema(description = "转账凭证附件")
    @ExcelProperty("转账凭证附件")
    private String attachment;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;
}
