package cn.newfeifan.mall.module.distri.dal.dataobject.ptsettlement;

import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 平台每日结算信息表，记录店铺的结算信息 DO
 *
 * @author 非繁人
 */
@TableName("trade_pt_settlement")
@KeySequence("trade_pt_settlement_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PtSettlementDO extends BaseDO {

    /**
     * 结算id
     */
    @TableId
    private Long id;
    /**
     * 销售额（积分 + 支付金额）
     */
    private Integer platformCollectionAmount;
    /**
     * 抵扣积分
     */
    private Long shopAmount;
    /**
     * 共计成本价格(高精度 + 成本)
     */
    private BigDecimal shopTotalHighAmount;
    /**
     * 是否结账
     */
    private Boolean platformTransferConfirm;

    /**
     * 抵扣消费分
     */
    private Long consumptionPoints;

}