package cn.newfeifan.mall.module.distri.service.ptdailybill;

import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.module.distri.controller.admin.ptdailybill.vo.PtDailyBillPageReqVO;
import cn.newfeifan.mall.module.distri.controller.admin.ptdailybill.vo.PtDailyBillSaveReqVO;
import cn.newfeifan.mall.module.distri.dal.dataobject.ptdailybill.PtDailyBillDO;

import javax.validation.Valid;
import java.time.LocalDate;

/**
 * 平台每日账单统计 Service 接口
 *
 * @author 非繁人
 */
public interface PtDailyBillService {

    /**
     * 创建平台每日账单统计
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPtDailyBill(@Valid PtDailyBillSaveReqVO createReqVO);

    /**
     * 更新平台每日账单统计
     *
     * @param updateReqVO 更新信息
     */
    void updatePtDailyBill(@Valid PtDailyBillSaveReqVO updateReqVO);

    /**
     * 删除平台每日账单统计
     *
     * @param id 编号
     */
    void deletePtDailyBill(Long id);

    /**
     * 获得平台每日账单统计
     *
     * @param id 编号
     * @return 平台每日账单统计
     */
    PtDailyBillDO getPtDailyBill(Long id);

    /**
     * 获得平台每日账单统计分页
     *
     * @param pageReqVO 分页查询
     * @return 平台每日账单统计分页
     */
    PageResult<PtDailyBillDO> getPtDailyBillPage(PtDailyBillPageReqVO pageReqVO);

    /**
     * 获得平台每日账单统计
     *
     * @param localDate 日期
     * @return 平台每日账单统计
     */
    PtDailyBillDO getPtDailyBill(LocalDate localDate);
}