package cn.newfeifan.mall.module.trade.controller.admin.order.excelVO;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 结算订单 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SettlementOrderRespVO {
    @Schema(description = "订单号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("订单号")
    private String no;

    @Schema(description = "应付金额（总）", requiredMode = Schema.RequiredMode.REQUIRED, example = "26217")
    @ExcelProperty("销售额")
    private Double totalPrice;

    @Schema(description = "确收现金")
    @ExcelProperty("确收现金")
    private Double payPrice;

//    @Schema(description = "退款金额", requiredMode = Schema.RequiredMode.REQUIRED, example = "23373")
//    @ExcelProperty("退款金额")
//    private Double refundPrice;

    @Schema(description = "确收积分")
    @ExcelProperty("确收积分")
    private Double payIntegral;

    @Schema(description = "确收消费分")
    @ExcelProperty("确收消费分")
    private Double payConsumptionPoints;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("下单时间")
    private LocalDateTime createTime;

}
