package cn.newfeifan.mall.sale.controller.admin.shop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 店铺 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ShopRespVO {

    @Schema(description = "店铺id", requiredMode = Schema.RequiredMode.REQUIRED, example = "15084")
    @ExcelProperty("店铺id")
    private Long id;

    @Schema(description = "店铺名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("店铺名称")
    private String name;

    @Schema(description = "店铺状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("店铺状态")
    private Integer status;

    @Schema(description = "商户id", requiredMode = Schema.RequiredMode.REQUIRED, example = "3447")
    @ExcelProperty("商户id")
    private Long merchantId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "logo地址", example = "https://www.zhongxing.cn")
    @ExcelProperty("logo地址")
    private String logoUrl;

    @Schema(description = "域名", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("域名")
    private String website;

    @Schema(description = "最后更新时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("最后更新时间")
    private LocalDateTime updateTime;

    @Schema(description = "是否启用全场包邮", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("是否启用全场包邮")
    private Boolean deliveryExpressFreeEnabled;

    @Schema(description = "全场包邮的最小金额，单位：分", requiredMode = Schema.RequiredMode.REQUIRED, example = "10353")
    @ExcelProperty("全场包邮的最小金额，单位：分")
    private Integer deliveryExpressFreePrice;

    @Schema(description = "是否开启自提", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("是否开启自提")
    private Boolean deliveryPickUpEnabled;

    @Schema(description = "账户名称", example = "非繁人")
    @ExcelProperty("账户名称")
    private String accountName;

    @Schema(description = "账户号码")
    @ExcelProperty("账户号码")
    private String accountNumber;

    @Schema(description = "开户银行", example = "李四")
    @ExcelProperty("开户银行")
    private String bankName;

}